View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013420VTK(No Category)public2012-09-02 08:442013-07-10 10:11
ReporterJim Geach 
Assigned ToDave DeMarle 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version5.6.0 
Target VersionFixed in Version6.0.0 
Summary0013420: Fixed point volume mapper gives inconsistent results on multiple threads
DescriptionWhen more then one thread is used, images produced from volume renders using the fixed point mapper contain block-like/pixelated artifacts, subtly different from the same scene rendered with 1 thread.

This can be overcome by setting the global number of threads to 1, but this is undesirable when one wants to take advantage of multiple processors (i.e. for render times when rendering big volumes and large images).
TagsNo tags attached.
ProjectTBD
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0012115closedDavid Gobbi FixedPointRayCaster gives different results depending on number of threads 

-  Notes
(0029101)
Jim Geach (reporter)
2012-09-02 08:45

Related to http://www.vtk.org/Bug/view.php?id=12115 [^]
(0030860)
Dave DeMarle (administrator)
2013-05-28 12:15

Was fixed in commit: e4a793c47cc3

- Issue History
Date Modified Username Field Change
2012-09-02 08:44 Jim Geach New Issue
2012-09-02 08:45 Jim Geach Note Added: 0029101
2013-02-24 12:59 David Gobbi Relationship added duplicate of 0012115
2013-05-28 12:15 Dave DeMarle Assigned To => Dave DeMarle
2013-05-28 12:15 Dave DeMarle Status backlog => todo
2013-05-28 12:15 Dave DeMarle Resolution open => fixed
2013-05-28 12:15 Dave DeMarle Status todo => active development
2013-05-28 12:15 Dave DeMarle Note Added: 0030860
2013-05-28 12:15 Dave DeMarle Status active development => gatekeeper review
2013-07-10 10:08 Dave DeMarle Status gatekeeper review => todo
2013-07-10 10:10 Dave DeMarle Status todo => backlog
2013-07-10 10:10 Dave DeMarle Assigned To Dave DeMarle =>
2013-07-10 10:10 Dave DeMarle Assigned To => Dave DeMarle
2013-07-10 10:10 Dave DeMarle Status backlog => tabled
2013-07-10 10:11 Dave DeMarle Status tabled => closed
2013-07-10 10:11 Dave DeMarle Fixed in Version => 6.0.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker